Bug 765558 - (GLUSTER-3826) enable parallel builds
enable parallel builds
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Sachidananda Urs
: Reopened
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-11-23 14:56 EST by Kaleb KEITHLEY
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tweak the libglusterfs/src/Makefile.* to avoid race in parallel makes (873 bytes, text/plain)
2011-11-23 11:58 EST, Kaleb KEITHLEY
no flags Details

  None (edit)
Description Kaleb KEITHLEY 2011-11-23 11:58:17 EST
Created attachment 721 [details]
My XF86Config file
Comment 1 Kaleb KEITHLEY 2011-11-23 12:45:19 EST
just to be clear——

The attached patch patches both the Makefile.in and Makefile.am because it's a patch against the sources in the glusterfs-3.2.5.tgz distributed by Gluster. The fedora build only runs configure which only uses the Makefile.in. The patch patches the Makefile.am for the situation where someone runs automake before running configure. Hope that makes sense
Comment 2 Kaleb KEITHLEY 2011-11-23 14:56:57 EST
Description of problem:
When using parallel make there's a race condition between running yacc on
graph.y and compiling the resulting y.tab.c.

Version-Release number of selected component (if applicable):
All versions, but 3.2.5 in particular.

How reproducible:
run a `fedpkg build` or a `koji --scratch` build. The epel build seems to
encounter the race condition more than the rawhide or f16 builds

Steps to Reproduce:
1. See above

See also https://bugzilla.redhat.com/show_bug.cgi?id=756510
Comment 3 Amar Tumballi 2011-11-23 22:22:04 EST
Kelab,

Can you go ahead and submit just the Makefile.am patch to gerrit. When we make a release out of git, the Makefile.in will be auto generated and added in tar.gz anyways.

If fedora build of glusterfs-3.2.5 is maintained separately, then you can go ahead and submit this patch there, but for glusterfs, lets get it to upstream (master branch) first, and then also send a patch to release-3.2 branch.

Regards,
Amar
Comment 4 Anand Avati 2011-11-30 04:57:12 EST
CHANGE: http://review.gluster.com/763 (builds of glusterfs in the fedora build system often fail due to a) merged in master by Anand Avati (avati@gluster.com)
Comment 5 Kaleb KEITHLEY 2011-12-01 10:33:03 EST
Jeff Darcy found that the previous fix still manifested the race condition.

I have submitted a revised fix to gerrit http://review.gluster.com/765
Comment 6 Anand Avati 2011-12-01 23:19:35 EST
CHANGE: http://review.gluster.com/765 (builds of glusterfs in the fedora build system often fail due to a) merged in master by Anand Avati (avati@gluster.com)
Comment 7 Kaleb KEITHLEY 2011-12-13 07:37:16 EST
I'm not sure why comment #1 and attachment 721 [details] are XF86Config files. Looks like something was borken in the bugzilla migration.

And I thought this was closed already.
Comment 8 Amar Tumballi 2011-12-20 01:39:26 EST
Lets close once QA verifies this is working.
Comment 9 Kaleb KEITHLEY 2011-12-21 08:03:45 EST
Agreed we should close once QA verifies the official gluster build.

https://bugzilla.redhat.com/show_bug.cgi?id=756510 is the BZ for the canonical f16 build, and it's already been auto-closed by Koji.
Comment 10 Sachidananda Urs 2012-05-31 03:31:39 EDT
Not present in release 3.3.0, will verify later.
Comment 11 Kaleb KEITHLEY 2012-06-18 11:28:18 EDT
I don't see that this has been addressed in any branch of glusterfs.

I still have to patch the libglusterfs/src/Makefile.am (and Makefile.in) to build in koji for fedora for all releases of 3.2.x and 3.3.0

Note You need to log in before you can comment on or make changes to this bug.